Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text
Class ImgRaw

    java.lang.Object
      com.lowagie.text.Rectangle
          com.lowagie.text.Image
              com.lowagie.text.ImgRaw

All Implemented Interfaces:
  Element

    public class ImgRaw

extends Image

Raw Image data that has to be inserted into the document

Author:
  Paulo Soares
See Also:
  `Element`, `Image`

Field Summary

Fields inherited from class com.lowagie.text.Image
`absoluteX, absoluteY, alignment, alt, annotation, AX, AY, bpc, BX, BY, colorspace, CX, CY, DEFAULT, deflated, dpiX, dpiY, DX, DY, imageMask, indentationLeft, indentationRight, interpolation, invert, layer, LEFT, mask, MIDDLE, mySerialId, ORIGINAL_BMP, ORIGINAL_GIF, ORIGINAL_JPEG, ORIGINAL_JPEG2000, ORIGINAL_NONE, ORIGINAL_PNG, ORIGINAL_PS, ORIGINAL_TIFF, ORIGINAL_WMF, originalData, originalType, plainHeight, plainWidth, profile, rawData, RIGHT, rotationRadians, scaledHeight, scaledWidth, serialId, spacingAfter, spacingBefore, template, TEXTWRAP, transparency, type, UNDERLYING, url`

Fields inherited from class com.lowagie.text.Rectangle
`backgroundColor, border, borderColor, borderColorBottom, borderColorLeft, borderColorRight, borderColorTop, borderWidth, borderWidthBottom, borderWidthLeft, borderWidthRight, borderWidthTop, BOTTOM, BOX, llx, lly, NO_BORDER, rotation, TOP, UNDEFINED, urx, ury, useVariableBorders`

Fields inherited from interface com.lowagie.text.Element
`ALIGN_BASELINE, ALIGN_BOTTOM, ALIGN_CENTER, ALIGN_JUSTIFIED, ALIGN_JUSTIFIED_ALL, ALIGN_LEFT, ALIGN_MIDDLE, ALIGN_RIGHT, ALIGN_TOP, ALIGN_UNDEFINED, ANCHOR, ANNOTATION, AUTHOR, CCITT_BLACKIS1, CCITT_ENCODEDBYTEALIGN, CCITT_ENDOFBLOCK, CCITT_ENDOFLINE, CCITTG3_1D, CCITTG3_2D, CCITTG4, CELL, CHAPTER, CHUNK, CREATIONDATE, CREATOR, HEADER, IMGRAW, IMGTEMPLATE, JPEG, JPEG2000, KEYWORDS, LIST, LISTITEM, MARKED, MULTI_COLUMN_TEXT, PARAGRAPH, PHRASE, PRODUCER, PTABLE, RECTANGLE, ROW, SECTION, SUBJECT, TABLE, TITLE`

Constructor Summary
`ImgRaw(Image image)`
`ImgRaw(int width, int height, int components, int bpc, byte[] data)` Creats an Image in raw mode.

Method Summary

Methods inherited from class com.lowagie.text.Image
`absoluteX, absoluteY, alignment, alt, annotation, bpc, colorspace, getAbsoluteX, getAbsoluteY, getAdditional, getAlignment, getAlt, getAnnotation, getBpc, getColorspace, getDirectReference, getDpiX, getDpiY, getICCProfile, getImageMask, getImageRotation, getIndentationLeft, getIndentationRight, getInitialRotation, getInstance, getInstance, getInstance, getInstance, getInstance, getInstance, getInstance, getInstance, getInstance, getInstance, getInstance, getInstance, getInstance, getInstance, getInstance, getLayer, getMySerialId, getOriginalData, getOriginalType, getPlainHeight, getPlainWidth, getRawData, getScaledHeight, getScaledWidth, getSerialId, getSpacingAfter, getSpacingBefore, getTemplateData, getTransparency, getUrl, getWidthPercentage, getXYRatio, hasAbsolutePosition, hasAbsoluteX, hasAbsoluteY, hasICCProfile, indentationLeft, indentationRight, isDeflated, isImgRaw, isImgTemplate, isInterpolation, isInverted, isInvertMask, isJpeg, isMask, isMaskCandidate, isSmask, makeMask, matrix, plainHeight, plainWidth, rawData, scaleAbsolute, scaleAbsoluteHeight, scaleAbsoluteWidth, scaledHeight, scaledWidth, scalePercent, scalePercent, scaleToFit, setAbsolutePosition, setAdditional, setAlignment, setAlt, setAnnotation, setDeflated, setDirectReference, setDpi, setImageMask, setIndentationLeft, setIndentationRight, setInitialRotation, setInterpolation, setInverted, setInvertMask, setLayer, setOriginalData, setOriginalType, setRotation, setRotationDegrees, setSmask, setSpacingAfter, setSpacingBefore, setTemplateData, setTransparency, setUrl, setWidthPercentage, setXYRatio, simplifyColorspace, spacingAfter, spacingBefore, tagICC, templateData, type, url`

Methods inherited from class com.lowagie.text.Rectangle
`backgroundColor, border, borderColor, borderWidth, bottom, bottom, cloneNonPositionParameters, disableBorderSide, enableBorderSide, getBackgroundColor, getBorder, getBorderColor, getBorderColorBottom, getBorderColorLeft, getBorderColorRight, getBorderColorTop, getBorderWidth, getBorderWidthBottom, getBorderWidthLeft, getBorderWidthRight, getBorderWidthTop, getBottom, getBottom, getChunks, getGrayFill, getHeight, getLeft, getLeft, getRight, getRight, getRotation, getTop, getTop, getWidth, grayFill, hasBorder, hasBorders, height, isUseVariableBorders, left, left, normalize, process, rectangle, right, right, rotate, setBackgroundColor, setBorder, setBorderColor, setBorderColorBottom, setBorderColorLeft, setBorderColorRight, setBorderColorTop, setBorderWidth, setBorderWidthBottom, setBorderWidthLeft, setBorderWidthRight, setBorderWidthTop, setBottom, setGrayFill, setLeft, setRight, setTop, setUseVariableBorders, softCloneNonPositionParameters, top, top, toString, width`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ImgRaw

    ImgRaw(Image image)

### ImgRaw

    public ImgRaw(int width,
                  int height,
                  int components,
                  int bpc,
                  byte[] data)
           throws BadElementException

  Creats an Image in raw mode.

  Parameters:
    `width` - the exact width of the image
    `height` - the exact height of the image
    `components` - 1,3 or 4 for GrayScale, RGB and CMYK
    `bpc` - bits per component. Must be 1,2,4 or 8
    `data` - the image data
  Throws:
    `BadElementException` - on error

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD